Package ru.bitel.bgbilling.modules.hd.common.bean

# Class Zone

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.hd.common.bean.Zone

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Zone extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Zone()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getConfigValue(String key)`
  `String`
  `getData()`
  `Date`
  `getFreeDate()`
  `Date`
  `getLastUpdate()`
  `Map<String,String>`
  `getParamsMap()`
  `Period`
  `getPeriod()`
  `String`
  `getRegistrar()`
  `Date`
  `getWhoisLastUpdate()`
  `String`
  `getZone()`
  `String`
  `getZonePunycode()`
  `boolean`
  `isAvto()`
  `boolean`
  `isLoadWhois()`
  `void`
  `setAvto(boolean avto)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `Zone`
  `setContractId(int contractId)`
  `void`
  `setData(String data)`
  `void`
  `setFreeDate(Date freeDate)`
  `void`
  `setLastUpdate(Date lastUpdate)`
  `void`
  `setLoadWhois(boolean loadWhois)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setRegistrar(String registrar)`
  `void`
  `setWhoisLastUpdate(Date whoisLastUpdate)`
  `void`
  `setZone(String zone)`
  `void`
  `setZonePunycode(String zonePunycode)`
  `void`
  `updateConfigValue(String key, String value)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Zone

    public Zone()

- ## Method Details

  - ### setContractId

    public Zone setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getZone

    public String getZone()

  - ### setZone

    public void setZone(String zone)

  - ### getZonePunycode

    public String getZonePunycode()

  - ### setZonePunycode

    public void setZonePunycode(String zonePunycode)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### isLoadWhois

    public boolean isLoadWhois()

  - ### setLoadWhois

    public void setLoadWhois(boolean loadWhois)

  - ### getWhoisLastUpdate

    public Date getWhoisLastUpdate()

  - ### setWhoisLastUpdate

    public void setWhoisLastUpdate(Date whoisLastUpdate)

  - ### getLastUpdate

    public Date getLastUpdate()

  - ### setLastUpdate

    public void setLastUpdate(Date lastUpdate)

  - ### getFreeDate

    public Date getFreeDate()

  - ### setFreeDate

    public void setFreeDate(Date freeDate)

  - ### getRegistrar

    public String getRegistrar()

  - ### setRegistrar

    public void setRegistrar(String registrar)

  - ### isAvto

    public boolean isAvto()

  - ### setAvto

    public void setAvto(boolean avto)

  - ### getParamsMap

    public Map<String,String> getParamsMap()

  - ### updateConfigValue

    public void updateConfigValue(String key, String value)

  - ### getConfigValue

    public String getConfigValue(String key)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)